AnnotationConfiguration.ExtendedMappingsImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class AnnotationConfiguration.ExtendedMappingsImpl

    java.lang.Object
      org.hibernate.cfg.Configuration.MappingsImpl
          org.hibernate.cfg.AnnotationConfiguration.ExtendedMappingsImpl

All Implemented Interfaces:
  Serializable, ExtendedMappings, Mappings

Enclosing class:
  AnnotationConfiguration

Deprecated.

    @Deprecated
    protected class AnnotationConfiguration.ExtendedMappingsImpl

extends Configuration.MappingsImpl

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.cfg.Mappings
`Mappings.PropertyReference`

Constructor Summary
`protected` | `AnnotationConfiguration.ExtendedMappingsImpl()` Deprecated.

Method Summary

Methods inherited from class org.hibernate.cfg.Configuration.MappingsImpl
`addAnyMetaDef, addAuxiliaryDatabaseObject, addClass, addClassType, addCollection, addColumnBinding, addDefaultGenerator, addDefaultQuery, addDefaultResultSetMapping, addDefaultSQLQuery, addDenormalizedTable, addFilterDefinition, addGenerator, addGeneratorTable, addImport, addJoins, addMappedBy, addMappedSuperclass, addPropertyAnnotatedWithMapsId, addPropertyAnnotatedWithMapsIdSpecj, addPropertyReference, addPropertyReferencedAssociation, addQuery, addResultSetMapping, addSecondPass, addSecondPass, addSQLQuery, addTable, addTableBinding, addToExtendsQueue, addToOneAndIdProperty, addTypeDef, addUniqueConstraintHolders, addUniqueConstraints, addUniquePropertyReference, applyResultSetMapping, findOrCreateFetchProfile, forceDiscriminatorInSelectsByDefault, getAnyMetaDef, getCatalogName, getClass, getClasses, getClassType, getCollection, getConfigurationProperties, getDefaultAccess, getDefaultCascade, getDefaultPackage, getFilterDefinition, getFilterDefinitions, getFromMappedBy, getGenerator, getGenerator, getGeneratorTableProperties, getIdentifierGeneratorFactory, getJoins, getLogicalColumnName, getLogicalTableName, getMappedSuperclass, getNamingStrategy, getObjectNameNormalizer, getPhysicalColumnName, getPropertyAnnotatedWithIdAndToOne, getPropertyAnnotatedWithMapsId, getPropertyReferencedAssociation, getQuery, getReflectionManager, getResultSetMapping, getSchemaName, getSQLQuery, getTable, getTableUniqueConstraints, getTypeDef, getTypeResolver, getUniqueConstraintHoldersByTable, isAutoImport, isDefaultLazy, isInSecondPass, isSpecjProprietarySyntaxEnabled, iterateAuxiliaryDatabaseObjects, iterateAuxiliaryDatabaseObjectsInReverse, iterateAuxliaryDatabaseObjects, iterateAuxliaryDatabaseObjectsInReverse, iterateClasses, iterateCollections, iterateTables, locatePersistentClassByEntityName, removeResultSetMapping, setAutoImport, setCatalogName, setDefaultAccess, setDefaultCascade, setDefaultLazy, setDefaultPackage, setNamingStrategy, setSchemaName, useNewGeneratorMappings`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationConfiguration.ExtendedMappingsImpl

    protected AnnotationConfiguration.ExtendedMappingsImpl()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.